Name: libcap
Version: 1.10
Release: alt10
Serial: 1

Summary: Library for getting and setting POSIX.1e capabilities
License: GPL
Group: System/Libraries
Url: http://www.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2

Source0: %url/%name-%version.tar.bz2
Source1: %url/capfaq-0.2.txt

Patch1: %name-1.10-alt-makefile.patch
Patch2: %name-1.10-alt-cap_free.patch
Patch3: %name-1.10-alt-bound.patch
Patch4: %name-1.10-alt-warnings.patch
Patch5: %name-1.10-rh-alt-makenames.patch
Patch6: %name-1.10-alt-userland.patch
Patch7: %name-1.10-alt-glibc.patch
Patch8: %name-1.10-alt-fpic.patch

%package utils
Summary: Utilities for getting and setting POSIX.1e capabilities
Group: System/Base
Requires: %name = %serial:%version-%release

%package devel
Summary: Development environment for libcap
Group: Development/C
Requires: %name = %serial:%version-%release

%description
This is a library for getting and setting POSIX.1e
(formerly POSIX 6) draft 15 capabilities.

%description utils
This packages contains utilities for getting and setting
POSIX.1e (formerly POSIX 6) draft 15 capabilities.

%description devel
The development library, header files, and documentation
for building applications dealing with POSIX.1e
(formerly POSIX 6) draft 15 capabilities.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

install -p -m644 %SOURCE1 .
find -type f -name Makefile -print0 |
	xargs -r0 %__subst 's/install -/\$(INSTALL) -/g'

%build
make	COPTFLAG="$RPM_OPT_FLAGS -Werror -D_GNU_SOURCE" \
	DEBUG= \
	LDFLAGS= \
	WARNINGS= \
	#

%install
%make_install install FAKEROOT=$RPM_BUILD_ROOT
%__chmod -x $RPM_BUILD_ROOT/lib/*

%post -p %post_ldconfig_sys
%postun -p %postun_ldconfig

%files
/lib/*.so.*

%files utils
/sbin/*

%files devel
/lib/*.so
%_includedir/sys/*.h
%_man3dir/*
%doc CHANGELOG README *.txt pgp.keys.asc doc/capability.notes progs/*.c

%changelog
* Thu Nov 06 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt10
- Do not override capget and capset symbols defined in glibc.
- Build the shared library with -fPIC.

* Mon Oct 13 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt9
- Enhanced bounds checking patch.

* Wed Aug 27 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt8
- Refined userland patch.

* Thu May 29 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt7
- Pass -Werror to compiler.
- Do not set executable bit for library.

* Mon Sep 16 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt6
- Fixed few compilation warnings.
- Rediffed some of patches with "-p" option.

* Mon Sep 02 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt5
- Updated %post/%postun scripts.
- Updated devel-static requirements.
- Use subst instead of perl for build.

* Tue Feb 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.10-alt4
- Reworked userland patch.

* Wed Feb 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.10-ipl3
- Merged two RH patches:
  + fixed libcap/_makenames.c to use own header;
  + fixed sys/capability.h to avoid kernel headers devour in user mode.

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.10-ipl2
- Added snprintf sanity fix.
- Fixed cap_free usage within library.

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 1.10-ipl1
- Split to %name, %name-utils and %name-devel subpackages.

* Fri Dec  3 1999 Dmitry V. Levin <ldv@fandra.org>
- Initial revision.
